Bug 183211 - Panic on mount with rescue CD
Summary: Panic on mount with rescue CD
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Aristeu Rozanski
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-27 14:44 UTC by Andrew Gormanly
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 00:38:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch submitted to rhkernel-list (1.02 KB, patch)
2006-05-19 15:08 UTC, Aristeu Rozanski
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0304 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 4 Update 5 2007-04-28 18:58:50 UTC

Description Andrew Gormanly 2006-02-27 14:44:26 UTC
Description of problem:
When using the installation CD in an attempt to recover a crashed machine, the
kernel panics on attempting to read the machine's hard disk.

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Boot from installation CD
2. Mount hard drive
3. Read hard drive
  
Actual results:
Kernel panics

Expected results:
Able to read and modify data on disk

Additional info:

This happens with RHEL 4 CD1, for the original release CD, Update 2, and the
latest beta of Update 3.

The error message (using rescue mode, though this happens on attempts to do an
upgrade install too) is:

sh-3.00# Kernel panic - not syncing: drivers/ide/pci/piix.c: 394: spin_lock
(drivers/ide/ide.c: c037bb68) already locked by drivers/ide/ide_ops.c/1234

with Update 2 - with the original disk set, it is:

sh-3.00# Kernel panic - not syncing: drivers/ide/pci/piix.c: 390: spin_lock
(drivers/ide/ide.c: c036b8e8) already locked by drivers/ide/ide_ops.c/1234

and with the beta of U3 it's:

sh-3.00# Kernel panic - not syncing: drivers/ide/pci/piix.c: 396: spin_lock
(drivers/ide/ide.c: c037dd68) already locked by drivers/ide/ide_ops.c/1234

This bug is not found when using the Fedora Core 3 or 4 (release) CDs.

Hardware is a Super Micro P6SBA motherboard and a Seagate ST340015A hard disk
and a CDR-8428B CD-ROM.

Comment 1 Jason Baron 2006-05-04 02:59:17 UTC
not sure who does ide bugs...

Comment 2 Aristeu Rozanski 2006-05-19 15:08:38 UTC
Created attachment 129606 [details]
patch submitted to rhkernel-list

Comment 3 Jason Baron 2006-09-01 12:47:14 UTC
committed in stream U5 build 42.5. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 4 RHEL Product and Program Management 2006-10-12 22:33:00 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Jay Turner 2006-10-17 14:21:19 UTC
QE ack for 4.5.

Comment 8 Red Hat Bugzilla 2007-05-08 00:38:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html


Note You need to log in before you can comment on or make changes to this bug.